﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Text;
using Tsi1.DataLayer.Entities;

namespace Tsi1.DataLayer.EntityConfiguration
{
    public class FileConfiguration : IEntityTypeConfiguration<File>
    {
        public void Configure(EntityTypeBuilder<File> builder)
        {
            builder.HasKey(x => x.Id);

            builder.Property(x => x.Name)
                .IsRequired()
                .HasColumnType("character varying(50)");

            builder.Property(x => x.Path)
                .IsRequired()
                .HasColumnType("character varying(1000)");

            builder.HasIndex(x => x.Path)
                .IsUnique();

            builder.HasOne(x => x.Submission)
                .WithOne(x => x.File)
                .HasForeignKey<File>(x => x.SubmissionId);
        }
    }
}
