﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Text;
using Tsi1.DataLayer.Entities;

namespace Tsi1.DataLayer.EntityConfiguration
{
    public class StudentConfiguration : IEntityTypeConfiguration<Student>
    {
        public void Configure(EntityTypeBuilder<Student> builder)
        {
            builder.HasKey(x => x.Id);

            builder.HasIndex(x => new { x.IdentityCard, x.TenantId })
                .IsUnique();

            builder.Property(x => x.IdentityCard)
                .IsRequired()
                .HasColumnType("character varying(50)");

            builder.Property(x => x.Age)
                .IsRequired();

            builder.HasOne(x => x.Tenant)
                .WithMany(x => x.Students)
                .HasForeignKey(x => x.TenantId);
        }
    }
}
