﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace Tsi1.DataLayer.Migrations
{
    public partial class addcolumntocommunication : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Communication_Courses_CourseId",
                table: "Communication");

            migrationBuilder.DropForeignKey(
                name: "FK_Communication_Tenants_TenantId",
                table: "Communication");

            migrationBuilder.DropPrimaryKey(
                name: "PK_Communication",
                table: "Communication");

            migrationBuilder.RenameTable(
                name: "Communication",
                newName: "Communications");

            migrationBuilder.RenameIndex(
                name: "IX_Communication_TenantId",
                table: "Communications",
                newName: "IX_Communications_TenantId");

            migrationBuilder.RenameIndex(
                name: "IX_Communication_CourseId",
                table: "Communications",
                newName: "IX_Communications_CourseId");

            migrationBuilder.AlterColumn<string>(
                name: "Text",
                table: "Communications",
                type: "character varying(1000)",
                nullable: false,
                oldClrType: typeof(string),
                oldType: "text",
                oldNullable: true);

            migrationBuilder.AddColumn<bool>(
                name: "IsGlobal",
                table: "Communications",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddPrimaryKey(
                name: "PK_Communications",
                table: "Communications",
                column: "Id");

            migrationBuilder.CreateIndex(
                name: "IX_Communications_ValidUntil",
                table: "Communications",
                column: "ValidUntil");

            migrationBuilder.AddForeignKey(
                name: "FK_Communications_Courses_CourseId",
                table: "Communications",
                column: "CourseId",
                principalTable: "Courses",
                principalColumn: "Id",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_Communications_Tenants_TenantId",
                table: "Communications",
                column: "TenantId",
                principalTable: "Tenants",
                principalColumn: "Id",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Communications_Courses_CourseId",
                table: "Communications");

            migrationBuilder.DropForeignKey(
                name: "FK_Communications_Tenants_TenantId",
                table: "Communications");

            migrationBuilder.DropPrimaryKey(
                name: "PK_Communications",
                table: "Communications");

            migrationBuilder.DropIndex(
                name: "IX_Communications_ValidUntil",
                table: "Communications");

            migrationBuilder.DropColumn(
                name: "IsGlobal",
                table: "Communications");

            migrationBuilder.RenameTable(
                name: "Communications",
                newName: "Communication");

            migrationBuilder.RenameIndex(
                name: "IX_Communications_TenantId",
                table: "Communication",
                newName: "IX_Communication_TenantId");

            migrationBuilder.RenameIndex(
                name: "IX_Communications_CourseId",
                table: "Communication",
                newName: "IX_Communication_CourseId");

            migrationBuilder.AlterColumn<string>(
                name: "Text",
                table: "Communication",
                type: "text",
                nullable: true,
                oldClrType: typeof(string),
                oldType: "character varying(1000)");

            migrationBuilder.AddPrimaryKey(
                name: "PK_Communication",
                table: "Communication",
                column: "Id");

            migrationBuilder.AddForeignKey(
                name: "FK_Communication_Courses_CourseId",
                table: "Communication",
                column: "CourseId",
                principalTable: "Courses",
                principalColumn: "Id",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_Communication_Tenants_TenantId",
                table: "Communication",
                column: "TenantId",
                principalTable: "Tenants",
                principalColumn: "Id",
                onDelete: ReferentialAction.Restrict);
        }
    }
}
